;; Creates a log for committing changes and then calls arx-log-mode.

;; Copyright (C) 2002, 2003 Walter Landry and the Regents of the University
;; of California

;; This program is free software; you can redistribute it and/or modify
;; it under the terms of the GNU General Public License as published by
;; the Free Software Foundation; either version 2 of the License, or
;; (at your option) any later version.

;; This program is distributed in the hope that it will be useful,
;; but WITHOUT ANY WARRANTY; without even the implied warranty of
;; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
;; GNU General Public License for more details.

;; You should have received a copy of the GNU General Public License
;; along with this program; if not, write to the Free Software
;; Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

(put 'arx-make-log-error
     'error-conditions
     '(error arx-error arx-make-log-error))

(put 'arx-make-log-error 'error-message "arx-make-log failed")


(defun arx-make-log ()
  "Create a log file and set it up for editing"
  (interactive)
  (save-current-buffer
    (set-buffer (get-buffer-create "*arx*"))
    (erase-buffer))
  (if (= 0 (call-process "arx" nil "*arx*" t "make-log"
			 "--non-interactive"))
      (progn
	(find-file (car (save-current-buffer
			  (set-buffer "*arx*")
			  (split-string (buffer-string) "\n"))))
	(arx-log-mode)
	(end-of-line)
	(set (make-local-variable 'arx-new-category) nil)
	(set (make-local-variable 'arx-new-version) nil)
	(set (make-local-variable 'arx-new-branch) nil))
    (progn (display-buffer "*arx*" t)
	   (signal 'arx-make-log-error nil))))

